﻿Public Class Background

    Private Sub CheckBox1_CheckedChanged(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles CheckBox1.CheckedChanged
        If CheckBox1.CheckState = CheckState.Checked Then
            Me.WindowState = FormWindowState.Normal
            Panel1.Visible = True
            Me.Width = "645"
            Me.Height = "422"
            Me.FormBorderStyle = Windows.Forms.FormBorderStyle.Sizable
            Me.MaximizeBox = True
        End If
        If CheckBox1.CheckState = CheckState.Unchecked Then
            Panel1.Visible = False
            Me.Width = "175"
            Me.Height = "200"
            Me.FormBorderStyle = Windows.Forms.FormBorderStyle.FixedSingle
            Me.MaximizeBox = False
        End If
    End Sub

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        OpenFileDialog1.ShowDialog()
    End Sub

    Private Sub OpenFileDialog1_FileOk(ByVal sender As System.Object, ByVal e As System.ComponentModel.CancelEventArgs) Handles OpenFileDialog1.FileOk
        PictureBox1.Image = System.Drawing.Image.FromFile(OpenFileDialog1.FileName)
        PictureBox1.Top = 3
        PictureBox1.Left = 3
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Principal.Label1.Visible = True
        Principal.TextBox4.Visible = True
        Principal.PictureBox1.Visible = True
        Principal.PictureBox1.Image = PictureBox1.Image
        Principal.TextBox4.Text = TextBox1.Text
        Principal.LineShape2.Visible = True
        Me.Close()
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Me.Close()
    End Sub
    Dim izquierda As Integer
    Dim alto As Integer
    Dim no As Boolean = False
    Private Sub PictureBox1_MouseDown(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PictureBox1.MouseDown
        Try
            izquierda = e.X
            alto = e.Y
            If e.Button = Windows.Forms.MouseButtons.Left Then
                PictureBox1.Cursor = Cursors.SizeAll
            End If
        Catch ex As Exception
            Exit Sub
        End Try
    End Sub

    Private Sub PictureBox1_MouseMove(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PictureBox1.MouseMove
        If e.Button = Windows.Forms.MouseButtons.Left Then
            PictureBox1.Location = New Point(PictureBox1.Left + e.X - izquierda, PictureBox1.Top + e.Y - alto)
        End If
    End Sub

    Private Sub PictureBox1_MouseUp(ByVal sender As Object, ByVal e As System.Windows.Forms.MouseEventArgs) Handles PictureBox1.MouseUp
        If Not no = False Then
            Windows.Forms.Cursor.Clip = Nothing
            no = False
        End If
        PictureBox1.Cursor = Me.Cursor
    End Sub
End Class